Skip to main content
POST
Create Blog Post

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
title
string
required

Must not be greater than 255 characters.

Example:

"tjqotbhpzwonwlzospqcs"

content
string
required

Must not be greater than 100000 characters.

Example:

"ciatkmatldznkaapjptdh"

product_ids
integer[]
required

Must match an existing stored value.

Example:
path
string | null

Must match the regex /^[a-z0-9-]+$/.

Example:

"o"

summary
string | null

Must not be greater than 2000 characters.

Example:

"tbhpzwonwlzospqcsnssr"

image_id
string | null

Must match an existing stored value.

Example:

null

meta_title
string | null

Must not be greater than 255 characters.

Example:

"yldmarwuvlvyfcejzolbx"

meta_description
string | null

Must not be greater than 255 characters.

Example:

"nqyvzmcgyfpncfystnonj"

metadata
string | null

Must not be greater than 65535 characters.

Example:

"izoohlpabvwbfbzkwsewl"

Response

200